package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * Excel模板对象 act_supplies_template
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public class SysSupplies extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** name*/

    private String name;

    /** name*/

    private String jsons;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getJsons() {
        return jsons;
    }

    public void setJsons(String jsons) {
        this.jsons = jsons;
    }

    @Override
    public String toString() {
        return "SysSupplies{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", jsons='" + jsons + '\'' +
                '}';
    }
}










































//package com.ruoyi.system.domain;
//
//import com.ruoyi.common.core.domain.BaseEntity;
//
///**
// * 物资管理 sys_supplies
// *
// * @author
// * @date
// */
//public class SysSupplies extends BaseEntity
//{
//    private static final long serialVersionUID = 1L;
//
//    /** 主键 */
//    private Long id;
//
//    /** 模板名称 */
//    private String name;
//
//    /** JSON */
//    private String jsons;
//
//    public static long getSerialVersionUID() {
//        return serialVersionUID;
//    }
//
//    public Long getId() {
//        return id;
//    }
//
//    public void setId(Long id) {
//        this.id = id;
//    }
//
//    public String getName() {
//        return name;
//    }
//
//    public void setName(String name) {
//        this.name = name;
//    }
//
//    public String getJsons() {
//        return jsons;
//    }
//
//    public void setJsons(String jsons) {
//        this.jsons = jsons;
//    }
//
//    @Override
//    public String toString() {
//        return "SysSupplies{" +
//                "id=" + id +
//                ", name='" + name + '\'' +
//                ", jsons='" + jsons + '\'' +
//                '}';
//    }
//}
